Bug 2010463 (CVE-2021-41864) - CVE-2021-41864 kernel: eBPF multiplication integer overflow in prealloc_elems_and_freelist() in kernel/bpf/stackmap.c leads to out-of-bounds write
Summary: CVE-2021-41864 kernel: eBPF multiplication integer overflow in prealloc_elems...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-41864
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2010464 2010490 2010491 2010492 2010493 2010494
Blocks: 2010465
TreeView+ depends on / blocked
 
Reported: 2021-10-04 17:42 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-06-16 11:23 UTC (History)
44 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An out-of-bounds (OOB) memory write flaw was found in prealloc_elems_and_freelist in kernel/bpf/stackmap.c in the bpf in the Linux kernel. In this flaw, the multiplication to calculate the size could lead to an integer overflow which could allow a local attacker, with a special user privilege, to gain access to out-of-bounds memory leading to a system crash or a leak of internal kernel information.
Clone Of:
Environment:
Last Closed: 2022-05-11 10:45:28 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2022:2229 0 None None None 2022-05-12 11:26:40 UTC
Red Hat Product Errata RHBA-2022:4630 0 None None None 2022-05-18 11:46:25 UTC
Red Hat Product Errata RHBA-2022:4693 0 None None None 2022-05-19 05:10:53 UTC
Red Hat Product Errata RHBA-2022:4969 0 None None None 2022-06-08 18:39:58 UTC
Red Hat Product Errata RHBA-2022:5088 0 None None None 2022-06-16 11:23:13 UTC
Red Hat Product Errata RHSA-2022:1975 0 None None None 2022-05-10 14:39:54 UTC
Red Hat Product Errata RHSA-2022:1988 0 None None None 2022-05-10 14:45:40 UTC

Description Guilherme de Almeida Suckevicz 2021-10-04 17:42:20 UTC
An out-of-bounds (OOB) memory write flaw was found in prealloc_elems_and_freelist in  kernel/bpf/stackmap.c in the bpf iin the Linux kernel. In this flaw, the multiplication to calculate the size could lead to an integer overflow, and this could allow a local attacker, with a special user privilege to gain access to out-of-bounds memory leading to a system crash or a leak of internal kernel information.

Reference and upstream patch:
https://github.com/torvalds/linux/commit/30e29a9a2bc6a4888335a6ede968b75cd329657a

Comment 1 Guilherme de Almeida Suckevicz 2021-10-04 17:43:04 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2010464]

Comment 8 errata-xmlrpc 2022-05-10 14:39:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1975 https://access.redhat.com/errata/RHSA-2022:1975

Comment 9 errata-xmlrpc 2022-05-10 14:45:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1988 https://access.redhat.com/errata/RHSA-2022:1988

Comment 10 Product Security DevOps Team 2022-05-11 10:45:24 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-41864


Note You need to log in before you can comment on or make changes to this bug.